Subject: bug#37412: closed (Re: [bug#37412] [PATCH 1/2] gnu: Add guix-data-service.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 25 Sep 2019 07:47:02 +0000

Your bug report

#37412: [PATCH 0/2] Add package and service for the Guix Data Service.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37412: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37412
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#37412] [PATCH 1/2] gnu: Add guix-data-service.
From: Christopher Baines <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Wed, 25 Sep 2019 08:46:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Hi Chris,
>
> Christopher Baines <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> Good morning, Chris!
>>>
>>> Christopher Baines <[email-masked]> skribis:
>>>
>>>> * gnu/packages/web.scm (guix-data-service): New variable.
>>>
>>> Woohoo!  \o/
>>>
>>>> +      (inputs
>>>> +       `(("guile" ,guile-2.2)
>>>
>>> Guile should be ‘native-inputs’ because we use it for its compiler
>>> (which can act as a “cross-compiler” with ‘--target’).
>>
>> This makes sense, but the scripts will still refer to the guile used to
>> build the package, so building for a different architecture won't work
>> right? Does the package somehow need to take as input two Guiles, one
>> for build time, and one for runtime?
>
> Yes, we probably need to have Guile both as input and native input.
> Well don’t lose your hair on it anyway.

I've just gone with making it a native input for now.

>>>> +      (native-search-paths
>>>> +       ;; guile-git requires this to be set
>>>> +       (list (search-path-specification
>>>> +              (variable "GIT_SSL_CAINFO")
>>>> +              (file-type 'regular)
>>>> +              (separator #f)
>>>> +              (files '("etc/ssl/certs/ca-certificates.crt")))))
>>>
>>> It’s a bit of a workaround for
>>> <https://issues.guix.gnu.org/issue/22138>, isn’t it?  :-)
>>>
>>> What about either removing it, or adding an “XXX” to the comment?
>>
>> I can't quite remember, I think I added that a long while ago when
>> trying to get the Guix service working. I'm not sure it's a great
>> approach. I'll add XXX to the comment though.
>
> What about removing it altogether and instead setting GIT_SSL_CAINFO in
> the service itself?

Turns out I was already setting GIT_SSL_CAINFO in the service, so I've
removed the native-search-paths from the package definition.

I've now pushed both patches, thanks for taking a look!

Chris

Subject: [PATCH 0/2] Add package and service for the Guix Data Service.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sun, 15 Sep 2019 19:18:06 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

These patches add a package definition, and service type for the Guix
Data Service, as well as a system test.

Christopher Baines (2):
  gnu: Add guix-data-service.
  services: Add the Guix Data Service.

 gnu/local.mk          |   2 +
 gnu/packages/web.scm  |  83 +++++++++++++++++
 gnu/services/guix.scm | 204 ++++++++++++++++++++++++++++++++++++++++++
 gnu/tests/guix.scm    | 173 +++++++++++++++++++++++++++++++++++
 4 files changed, 462 insertions(+)
 create mode 100644 gnu/services/guix.scm
 create mode 100644 gnu/tests/guix.scm